#version 450

layout (location = 0) in vec4 v_color;
layout (location = 1) in vec4 v_texcoord;

layout (binding = 1) uniform sampler2D tex;

out vec4 FragColor;

void main()
{
  vec2 uv = v_texcoord.xy;
  vec4 c = texture(tex, uv);
  FragColor = c;
  //FragColor = c * v_color;
  //FragColor = vec4(uv.x, uv.y, 0.0, 1.0);
}
